%define oname	GeoGebra-Linux-Installer

Name:		geogebra
Version:	4.4.26.0
Release:	%mkrel 0.1
Summary:	Free mathematics software for learning and teaching
Group:		Sciences/Mathematics
License:	GPLv3+ and CC-BY-SA and CC-BY-NC-SA
URL:		http://www.geogebra.org/
Source:		http://download.geogebra.org/installers/4.4/%{oname}-%{version}.tar.gz
Patch1:		geogebra-4.4.26.0-mga-fix_java_path_and_desktop_file.patch
BuildArch:	noarch
BuildRequires:	desktop-file-utils

Requires:	java >= 1.7.0

%description
This package provides GeoGebra.

GeoGebra is free and multi-platform dynamic mathematics software for all
levels of education that joins geometry, algebra, tables, graphing,
statistics and calculus in one easy-to-use package. It has received
several educational software awards in Europe and the USA.

Quick Facts:

- Graphics, algebra and tables are connected and fully dynamic
- Easy-to-use interface, yet many powerful features
- Authoring tool to create interactive learning materials as web pages
- Available in many languages for our millions of users around the world
- Free and open source software

Authors:
--------
    Markus Hohenwarter (Austria & USA): Project leader since 2001
    Michael Borcherds (UK): Lead Developer since 2007
    Yves Kreis (Luxembourg): Developer since 2005

%prep
%setup -q -n %{name}-%{version}

%apply_patches

mv _license.txt COPYING
chmod 0644 geogebra.desktop

%build

%install
# startscript
mkdir -p %{buildroot}%{_bindir}
install -m 0755 geogebra %{buildroot}%{_bindir}/%{name}

# .jar-repertory
mkdir -p %{buildroot}%{_javadir}/%{name}
install -m 0644 *.jar %{buildroot}%{_javadir}/%{name}/

# mime packages-repertory
mkdir -p %{buildroot}%{_datadir}/mime/packages
install -m 0644 geogebra.xml %{buildroot}%{_datadir}/mime/packages/%{name}.xml

# desktop menu-entry
mkdir -p %{buildroot}%{_datadir}/applications
desktop-file-install \
	--dir=%{buildroot}%{_datadir}/applications/ \
	%{name}.desktop

# icons-repertory .png
for SIZE in 16x16 22x22 32x32 48x48 64x64 128x128 256x256; do
  mkdir -p %{buildroot}%{_iconsdir}/hicolor/$SIZE/apps
  mkdir -p %{buildroot}%{_iconsdir}/hicolor/$SIZE/mimetypes
  install -m 0644 icons/hicolor/$SIZE/apps/geogebra.png %{buildroot}%{_iconsdir}/hicolor/$SIZE/apps/
  install -m 0644 icons/hicolor/$SIZE/mimetypes/*.png %{buildroot}%{_iconsdir}/hicolor/$SIZE/mimetypes/
done

# icons-repertory .svgz
mkdir -p %{buildroot}%{_iconsdir}/hicolor/scalable/apps
mkdir -p %{buildroot}%{_iconsdir}/hicolor/scalable/mimetypes
install -m 0644 icons/hicolor/scalable/apps/geogebra.svgz %{buildroot}%{_iconsdir}/hicolor/scalable/apps/
install -m 0644 icons/hicolor/scalable/mimetypes/*.svgz %{buildroot}%{_iconsdir}/hicolor/scalable/mimetypes/

%files
%doc COPYING README
%{_bindir}/%{name}
%{_javadir}/%{name}/
%{_datadir}/mime/packages/%{name}.xml
%{_datadir}/applications/%{name}.desktop
%{_iconsdir}/hicolor/*/*/*.png
%{_iconsdir}/hicolor/scalable/*/*.svgz


%changelog
* Sun Apr 06 2014 daviddavid (MLO Team) <daviddavid> 4.4.26.0-0.1.mga4
+ Rebuild package for Mageia 4 (Nonfree\MLO)
- sync with Cauldron (mga5)
- change to a nonfree package
- fix java path on startscript (Patch1)
- add Russian translation on desktop file (Thanks Alexl)
- new version: 4.4.26.0

* Sat Feb 15 2014 david.david (MLO Team) <david.david> 4.2.60.0-2.mga4
+ Rebuild package for Mageia 4 (Core\MLO)
- version: 4.2.60.0

* Sat Oct 05 2013 david.david (MLO Team) <david.david> 4.2.60.0-1.mga3
+ new version: 4.2.60.0
- fix correct repertory for jar files '%%{_javadir}' 

* Sat Aug 10 2013 david.david (MLO Team) <david.david> 4.2.55.0-1.mga3
+ new version: 4.2.55.0

* Fri Jul 05 2013 david.david (MLO Team) <david.david> 4.2.51.0-1.mga3
+ new version: 4.2.51.0
- clean spec file

* Thu May 23 2013 david.david (MLO Team) <david.david> 4.2.41.0-1.mga3
+ New version: 4.2.41.0
- adapted spec for new version

* Thu May 23 2013 Adrien.D (MLO Team) <adrien.d> 3.2.47.0-1.mga3
+ Rebuild package for Mageia 3 (Core)
- imported package from Mandriva
- adapted for Mageia
- clean Spec File
